/*      file     : common/Error.C
        project  : General Toolbox
        author   : Marcus Rickert
        RCS      : $Id: Error.C,v 1.5 2005/03/25 11:04:58 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

// ***INCLUDES************************************************************************

#include "Error.h"

// ***GLOBAL VARIABLES****************************************************************  

char *ErrorDescriptions[] =

{
    "OK",
    "user break",
    "general error",
    "file not found",
    "data error", 
    "out of heap",
    "communication error",
    "X authorization failed",
    "spawn of child process failed",
    "event not handled",
    "message not handled",
    "time step mismatch",
    "version mismatch",
    "segmentation violation",
    "nested fatal signal",
    "bus error"
};

// ***LOCAL VARIABLES***************************************************************** 

TErrorStatus ExitCode           = Status_OK;
TErrorStatus LocalErrorStatus   = Status_OK;
TString      LocalErrorFilename = "<NO FILE>";
int          LocalErrorIOResult = 0;

// =================================================================================== 



