/*      file     : common/TTimer.i.C
        project  : General Toolbox
        authors  : Marcus Rickert
        RCS      : $Id: TTimer.i.C,v 1.2 2005/03/25 11:05:00 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

// ***METHODS************************************************************************* 

inline void
TTimer::Select(TTimer *NewChild)

{
    if (CurrentChild AND CurrentChild != NewChild)
        CurrentChild->Unselect();
    CurrentChild = NewChild;
    if (Parent)
       Parent->Select(this);
    Start();
}

// =================================================================================== 

inline void
TTimer::Unselect(void)

{
    if (Parent)
       Parent->Unselect();
    Stop();
}

// =================================================================================== 
