/*      file     : parallel/TParallelControl.i.C
        project  : Parallel Toolbox 2.x
        authors  : Marcus Rickert
        RCS      : $Id: TParallelControl.i.C,v 1.9 2005/03/25 11:06:21 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

// ***METHODS************************************************************************* 

inline long
TParallelControl::GetUniqueID(long OtherID)

{
    return (GetLocalCPNID() << 20) | OtherID;
}

// =================================================================================== 

inline bool
TParallelControl::HasQuit(void) const

{
    return QuitFlag;
}

// =================================================================================== 

inline bool
TParallelControl::IsEnrolled(void) const

{
    return Enrolled;
}

// =================================================================================== 

inline bool
TParallelControl::RegisterTopologyUser(TTopologyUser *theUser)

{
    return TopologyUsers.Add(theUser);
}

// =================================================================================== 

inline bool
TParallelControl::SlavesNeedPrintPrefix(void) const

{
    return (Flags & PC_FLAG_SLAVES_NEED_PRINT_PREFIX) > 0;
}

// =================================================================================== 
