/*      file     : parallel/ParToolsTemplates.C
        project  : Parallel Toolbox 2.x
        author   : Marcus Rickert
        RCS      : $Id: ParToolsTemplates.C,v 1.10 2005/03/25 11:08:14 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

/* ***INCLUDES************************************************************************ */

#define TEMPLATEBODIES

#ifdef __GNUC__
// #pragma implementation ""
#endif

#include <TABTree.h>
#include <TDLList.h>
#include <TIDContainerEntry.h>
#include <TID2ContainerEntry.h>
#include <TEnumerator.h>
#include <TSelector.h>

#include <TClassInfo.h>
#include <TObjectHandler.h>
#include <TParallelObject.h>
#include <TParallelListObject.h>
#include <TNode.h>
#include <TEdge.h>
#include <TBoundary.h>
#include <TExtendedCPNInfo.h>
#include <TCommunicationLink.h>
#include <TObjectTimer.h>

#ifdef __GNUC__

template class TDLList< TObjectHandler >;
template class TDLList< TParallelListObject >;
template class TDLList< TContainerObject >;
template class TDLList< TNode >;
template class TDLList< TEdge >;
template class TDLList< TBoundary >;
template class TDLListEnum< TObjectHandler >;
template class TDLListEnum< TParallelListObject >;
template class TDLListEnum< TContainerObject >;
template class TDLListEnum< TNode >;
template class TDLListEnum< TEdge >;
template class TDLListEnum< TBoundary >;
template class TABTree < TClassInfo >;
template class TABTree< TIDContainerEntry< TParallelObject > >;
template class TABTree< TIDContainerEntry< TExtendedCPNInfo > >;
template class TABTree< TIDContainerEntry< TCommunicationLink > >;
template class TABTree< TID2ContainerEntry< TEdge > >;
template class TIDContainerEntry< TParallelObject >;
template class TID2ContainerEntry< TEdge >;
template class TEnumerator < TClassInfo >;
template class TEnumerator < TObjectTimer >;
template class TEnumerator < TExtendedCPNInfo >;
template class TEnumerator < TCommunicationLink >;
template class TSelector < TClassInfo , TClassInfo >;
template class TSelector < TID2ContainerEntry< TEdge > , TEdge >;

#else

#ifdef SGI64

#endif
#endif

// ===================================================================================


