/*      file     : partools/TAdjacenceInfo.i.C
        project  : Parallel Toolbox 2.x
        authors  : Marcus Rickert
        RCS      : $Id: TAdjacenceInfo.i.C,v 1.4 2005/03/25 11:08:14 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

// ***METHODS************************************************************************* 


inline TParallelID
TAdjacenceInfo::GetFromNodeID(void) const

{
    return FromNodeID;
}

// =================================================================================== 

inline TParallelID
TAdjacenceInfo::GetToNodeID(void) const

{
    return ToNodeID;
}

// =================================================================================== 

inline void
TAdjacenceInfo::MarkAsDistributable(void)

{
    Flags |= AI_FLAG_DISTRIBUTABLE;
}

// =================================================================================== 

inline void
TAdjacenceInfo::SetFromNodeID(TParallelID theFromNodeID)

{
    FromNodeID = theFromNodeID;
}

// =================================================================================== 

inline void
TAdjacenceInfo::SetLength(double theLength)

{
    Length = theLength;
}

// =================================================================================== 

inline void
TAdjacenceInfo::SetNodeClassID(TClassID theNodeClassID)

{
    NodeClassID = theNodeClassID;
}

// =================================================================================== 

inline void
TAdjacenceInfo::SetToNodeID(TParallelID theToNodeID)

{
    ToNodeID = theToNodeID;
}

// =================================================================================== 
