/*      file     : partools/TExtendedCPNInfo.C
        project  : Parallel Toolbox 2.x
        author   : Marcus Rickert
        RCS      : $Id: TExtendedCPNInfo.C,v 1.5 2005/03/25 11:08:14 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

// ***INCLUDES************************************************************************ 

#include <TCPNInfo.h>

#include "TExtendedCPNInfo.h"

// ***GLOBAL VARIABLES****************************************************************  

TClassInfo *TExtendedCPNInfo::ClassInfo = 0;

// ***METHODS************************************************************************* 

// =================================================================================== 
#define ParentClass TContainerObject
// =================================================================================== 

TExtendedCPNInfo::TExtendedCPNInfo(TCPNID theCPNID) :

ParentClass(ClassInfo, theCPNID)

{    
    Color = 0;
}

// =================================================================================== 

TExtendedCPNInfo::~TExtendedCPNInfo(void)

{
}

// =================================================================================== 

TExtendedCPNInfo::TExtendedCPNInfo(TCPNInfo *theCPNInfo) :

ParentClass(ClassInfo, theCPNInfo->ID)

{
    CPNInfo = theCPNInfo;
}

// =================================================================================== 
#undef ParentClass
