/*      file     : partools/TTransferInfo.C
        project  : Parallel Toolbox 2.x
        author   : Marcus Rickert
        RCS      : $Id: TTransferInfo.C,v 1.6 2005/03/25 11:08:15 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

// ***INCLUDES************************************************************************ 

#include <TBaseMessage.h>

#include "TTransferInfo.h"

// ***METHODS************************************************************************* 

// =================================================================================== 
#define ParentClass
// =================================================================================== 

bool
TTransferInfo::Decode(TBaseStream *Stream)

{
    int Dummy;

    if (!(TransferRange.Decode(Stream) AND
          Stream->Decode(Dummy)))
        return FALSE;
    TransferMode = (TTransferMode) Dummy;
    return TRUE;
}

// =================================================================================== 

bool
TTransferInfo::Encode(TBaseStream *Stream) const

{
    int Dummy = (int) TransferMode;
    return (TransferRange.Encode(Stream) AND
            Stream->Encode(Dummy));
}

// =================================================================================== 
#undef ParentClass
