#     file     : awk/running_average.awk
#     author   : Marcus Rickert
#     RCS      : $Id: running_average.awk,v 1.3 2005/05/01 14:57:58 mr Exp $
#     purpose  : compute running average
#
#     Copyright (C) 2005 :  Marcus Rickert

# TODO:
#

BEGIN { 
    Sum = 0 ; 
    Count = 0; 
    Val[width] = 0;
}
/[^\#]/ { 
    Index = Count % width;
    Sum = Sum + $col; 
    if ( Count >= width )
    {
	Sum = Sum - Val[Index];
	if (Count % interval == 0) {
	    if (additional_col > 0)
		printf "%d %f %f\n",  Count, $additional_col, Sum / width;
	    else
		printf "%d %f" Count, Sum / width;		
	}
    }
    Val[Index] = $col;
    Count++;
}  
