/*      file     : TrafficData/TTrafficTimers.i.C
        project  : PAMINA III
        authors  : Marcus Rickert
        RCS      : $Id: TTrafficTimers.i.C,v 1.2 2005/03/25 12:28:52 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

// ***METHODS************************************************************************* 

inline bool
TimeEdgesNow(const TTimeStep &TimeStep)

{
    return TimeEdges AND (((long) TimeStep) & DEFAULT_TIMER_SAMPLE_MASK) == 0;
}

// =================================================================================== 

inline bool
TimeNodesNow(const TTimeStep &TimeStep)

{
    return TimeNodes AND (((long) TimeStep) & DEFAULT_TIMER_SAMPLE_MASK) == 0;
}

// =================================================================================== 
