/*      file     : common/TEnumerator.C
        project  : General Toolbox
        author   : Marcus Rickert
        RCS      : $Id: TEnumerator.C,v 1.6 2005/03/25 11:04:59 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

// ***INCLUDES************************************************************************ 

#include <TString.h>

#include "TEnumerator.h"

// ***METHODS************************************************************************* 

#ifdef NO_INLINE
#  include "TEnumerator.i.C"
#endif

// =================================================================================== 
#define ParentClass TBaseObject
// =================================================================================== 

TEnumeratorPrimitive::TEnumeratorPrimitive(const TContainer *theContainer)

{
    Container = (TContainer *) theContainer;
    if (Container == 0)
        Print("null container");
    DataPtr = 0;
    Index = 0;
}

// =================================================================================== 

TString
TEnumeratorPrimitive::GetClassName(void) const

{
    return "TEnumerator";
}

// =================================================================================== 
#undef ParentClass

