/*      file     : graphx/TWindow.i.C
        project  : General Toolbox
        authors  : Marcus Rickert
        RCS      : $Id: TWindow.i.C,v 1.3 2005/03/25 11:06:10 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

// ***METHODS************************************************************************* 

inline void
TWindow::DumpOnNextRedraw(void)

{
    DumpFlag = TRUE;
    MarkForRedraw();
}

/* =================================================================================== */

inline void
TWindow::MarkForRedisplay(void)

{
    RedisplayFlag = TRUE;
}

/* =================================================================================== */

inline void
TWindow::MarkForRedraw(void)

{
    RedisplayFlag = TRUE;
    RedrawFlag = TRUE;
}

/* =================================================================================== */

inline bool
TWindow::Redisplay(void)

{
    return RedisplayFlag;
}

/* =================================================================================== */

inline bool
TWindow::Redraw(void)

{
    return RedrawFlag;
}

/* =================================================================================== */

inline void
TWindow::SetDumpBaseFilename(const char *theBaseFilename)

{
    DumpBaseFilename = theBaseFilename;
}

// =================================================================================== 

inline double
TWindow::X2World(int X) const

{
    return IX(theWindow, X);
}

// =================================================================================== 

inline double
TWindow::Y2World(int Y) const

{
    return IY(theWindow, Y);
}

// =================================================================================== 
