/*      file     : parstat/ParStatTypes.h
        project  : Parallel Toolbox 2.x
        author   : Marcus Rickert
        RCS      : $Id: ParStatTypes.h,v 1.7 2005/03/25 11:08:01 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

#ifndef PARSTATTYPES_H
#define PARSTATTYPES_H

// ***DEFINES************************************************************************* 

#define CLASS_SAMPLING_DESCRIPTION "SamplingDescription"

#define MEVENT_STAT_MGR_SAMPLING_DESCRIPTION 1
#define MEVENT_STAT_MGR_STAT                 2
#define MEVENT_STAT_MGR_DELETE_DESCRIPTION   3

#define SAMPLING_ID_BASE                0x00000000
#define SAMPLING_ID_NEIGHBOR_LOAD_STAT  SAMPLING_ID_BASE
#define SAMPLING_ID_EXTENDED_LOAD_STAT (SAMPLING_ID_BASE + 1)
#define SAMPLING_ID_NEIGHBOR_COMM_STAT (SAMPLING_ID_BASE + 2)
#define SAMPLING_ID_GLOBAL_LOAD_STAT   (SAMPLING_ID_BASE + 3)
#define SAMPLING_ID_MAP_STAT           (SAMPLING_ID_BASE + 4)
#define SAMPLING_FIRST_FREE_ID         (SAMPLING_ID_BASE + 5)

// ***TYPES*************************************************************************** 

    
// ===================================================================================
// Local Variables:
// mode:c++
// End:
#endif
