/*      file     : parstat/TStatHandlerInfo.h
        project  : Parallel Toolbox 2.x
        author   : Marcus Rickert
        RCS      : $Id: TStatHandlerInfo.h,v 1.2 2005/03/25 11:08:01 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

#ifndef TSTATHANDLERINFO_H
#define TSTATHANDLERINFO_H

// ***INCLUDES************************************************************************ 

#include <ParToolsTypes.h>
#include <TBaseObject.h>

// ***FORWARDS************************************************************************

class TStatHandler;

// ***CLASSES************************************************************************* 

class TStatHandlerInfo : public TBaseObject

{
public:

    TStatHandlerInfo(TClassID theStatObjectClassID, TStatHandler *theHandler = 0);

    TClassID       StatObjectClassID;
    TStatHandler  *Handler;

private:

    virtual int
    Compare(TBaseObject *OtherObject, int) const;

};

// ===================================================================================
// Local Variables:
// mode:c++
// End:
#endif
