/*      file     : parstat/TStatObject.i.C
        project  : Parallel Toolbox 2.x
        authors  : Marcus Rickert
        RCS      : $Id: TStatObject.i.C,v 1.2 2005/03/25 11:08:01 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

// ***METHODS************************************************************************* 

inline long
TStatObject::GetNrOfSamples(void) const

{
    return NrOfSamples;
}

// =================================================================================== 

inline double
TStatObject::GetFraction(void) const

{
    return Fraction;
}

// =================================================================================== 

inline const TTimeStep &
TStatObject::GetTimeStep(void) const

{
    return TimeStep;
}

/* =================================================================================== */

inline TTimeStep &
TStatObject::GetTimeStep(void)

{
    return TimeStep;
}

// =================================================================================== 

inline void
TStatObject::SetFraction(double theFraction)

{
    Fraction = theFraction;
}

// =================================================================================== 

inline void
TStatObject::SetNrOfSamples(long theNrOfSamples)

{
    NrOfSamples = theNrOfSamples;
}

/* =================================================================================== */

inline void
TStatObject::SetTimeStep(const TTimeStep &theTimeStep)

{
    TimeStep = theTimeStep;
}

// =================================================================================== 
